gi-graphene-1.0.8: Graphene bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Graphene.Structs.Simd4F

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Simd4F = Simd4F (ManagedPtr Simd4F)
- newZeroSimd4F :: MonadIO m => m Simd4F

# Exported types

newtype Simd4F Source #

Memory-managed wrapper type.

Constructors

Simd4F (ManagedPtr Simd4F) |

#### Instances

Instances details

Eq Simd4F Source # |
Instance details Defined in GI.Graphene.Structs.Simd4F Methods (==) :: Simd4F -> Simd4F -> Bool Source # (/=) :: Simd4F -> Simd4F -> Bool Source #
BoxedPtr Simd4F Source # |
Instance details Defined in GI.Graphene.Structs.Simd4F Methods boxedPtrCopy :: Simd4F -> IO Simd4F Source # boxedPtrFree :: Simd4F -> IO () Source #
CallocPtr Simd4F Source # |
Instance details Defined in GI.Graphene.Structs.Simd4F Methods boxedPtrCalloc :: IO (Ptr Simd4F) Source #
ManagedPtrNewtype Simd4F Source # |
Instance details Defined in GI.Graphene.Structs.Simd4F Methods toManagedPtr :: Simd4F -> ManagedPtr Simd4F Source #
tag ~ 'AttrSet => Constructible Simd4F tag Source # |
Instance details Defined in GI.Graphene.Structs.Simd4F Methods new :: MonadIO m => (ManagedPtr Simd4F -> Simd4F) -> [AttrOp Simd4F tag] -> m Simd4F Source #

newZeroSimd4F :: MonadIO m => m Simd4F Source #

Construct a `Simd4F` struct initialized to zero.

# Methods